@media print {

    /* ALL PAGES ----------------------------------------------------------------------- */

    @page {
        size: 148mm 210mm;
        /* size: 100mm 100mm; */
        margin-top: 10mm;
        margin-bottom: 10mm;
    }


    /* LEFT PAGES ---------------------------------------------------------------------- */

    @page :left {
        margin-left: 10mm;
        margin-right: 10mm;

        /* page number */
        @top-left-corner {
            /* content: counter(page); */
            font-weight: 600;
            padding-right: 12mm;
            vertical-align: top;
            padding-top: 25px;
        }

         /* running header (book title)  */
        @top-left {
            /* content: element(booktitle); */
            vertical-align: top;
            padding-top: 25px;
        }
    }

    @page :first {
      margin-bottom: 0mm;

    }



    /* RIGHT PAGES --------------------------------------------------------------------- */

    @page :right {
        margin-left: 10mm;
        margin-right: 10mm;

        /* page number */
        @bottom-right-corner {
            /* content: counter(page); */
            vertical-align: top;

            font-size: 14pt;
        }

        /* running header (chapter title)  */
        @bottom {
            vertical-align: top;
            font-style: italic;
            font-size: 10pt;
            margin-top: 3mm;
            margin-left: 1.7mm;
            color: white;
            text-align: left;
        }
        @bottom-left{
          vertical-align: top;
          font-size: 10pt;
          margin-top: 3mm;
        }
    }

    /*  running header (book title)
        way 2 : copy an HTML element into running header, don't keep HTML and style  */
    h1 { string-set: chapTitle content(text); }


    /* PAGE BREAKS --------------------------------------------------------------------- */

    #halftitle,
    #toc,
    #prefatory-note,
    #introduction,
    #toc {
        break-before: right;
    }

    .chapter {
        break-before: right;
    }

    figure {
        break-inside: avoid;
    }


    /* BLANK PAGES --------------------------------------------------------------------- */

    @page :blank {

        @top-left-corner { content: none; }
        @top-left { content: none; }
        @top-right-corner { content: none; }
        @top-right { content: none; }

    }


    /* NAMED PAGE (chapter) ------------------------------------------------------------ */

    .chapter { page: chapter; }

    @page chapter :first {
        @top-right { content: none; }
    }


    /* WIDOWS AND ORPHANS -------------------------------------------------------------- */

    /*
    - Not specific to paged.js
    - Support only on Chrome/Chromium
    */
    #introduction p, .chapter p {
        widows: 3;
        orphans: 3;
    }


    /* HYPHENS ------------------------------------------------------------------------- */

     /*
    - Not specific to paged.js
    - Support only on Chrome/Chromium with OSX and on Firefox with Linux
    */
    p{
        hyphens: auto;
    }


     /* select the last page of the document  */
     .pagedjs_page:last-of-type{ }



}
